Summary:   Library for compression and decompression
Name:      zlib
Version:   1.1.2
Release:   3
Source:    http://www.cdrom.com/pub/infozip/zlib/zlib-%{PACKAGE_VERSION}.tar.gz
URL:       http://www.cdrom.com/pub/infozip/zlib/
Group:     Libraries
Copyright: BSD
BuildRoot: /var/tmp/zlib-%{PACKAGE_VERSION}-root 

%description
The 'zlib' compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data.  This version of the library supports only one
compression method (deflation) but other algorithms may be added later
and will have the same stream interface.

This library is used by a number of different system programs.

%package devel
Summary: header files and libraries for zlib development
Group: Development/Libraries
Requires: zlib = %{PACKAGE_VERSION}

%description devel
The 'zlib' compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data.  This version of the library supports only one
compression method (deflation) but other algorithms may be added later
and will have the same stream interface.

This package contains the header files and libraries needed to develop 
programs that use these zlib.

%prep
%setup

%build
./configure --shared --prefix /usr
make CFLAGS="$RPM_OPT_FLAGS"
make CFLAGS="$RPM_OPT_FLAGS" libz.a

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{include,lib,man/man3}
make prefix=$RPM_BUILD_ROOT/usr install
install -m644 libz.a $RPM_BUILD_ROOT/usr/lib
install -m644 zutil.h $RPM_BUILD_ROOT/usr/include
install -m644 zlib.3 $RPM_BUILD_ROOT/usr/man/man3

strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*.*

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(644,root,root) /usr/lib/lib*.so.*.*

%files devel
%attr(644,root,root) %doc README ChangeLog algorithm.txt
%attr(644,root,root) /usr/include/*
%attr(644,root,root) /usr/lib/lib*.a
%attr(644,root,root) /usr/lib/lib*.so
%attr(644,root,man) /usr/man/man3/zlib.3

%changelog
* Sun May 03 1998 Arne Coucheron <arneco@online.no>
- updated to 1.1.2-3
- added striping of the libs
- some minor changes to the spec file
- removed some older changelogs

* Fri Apr 17 1998 Arne Coucheron <arneco@online.no>
- updated to 1.1.2-2
- added zlib manpage to devel package

* Mon Apr 06 1998 Arne Coucheron <arneco@online.no>
- updated to 1.1.2-1
- corrected Source and URL tags

* Sun Mar 01 1998 Arne Coucheron <arneco@online.no>
- updated to 1.1.1-1
- using buildroot
- using %attr macros in filelist
